Skip to main content
POST
/
api
/
live
/
end-session
End live session
curl --request POST \
  --url https://api-prod.nomadicml.com/api/live/end-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'stream_id=<string>' \
  --data 'session_id=<string>'
import requests

url = "https://api-prod.nomadicml.com/api/live/end-session"

payload = {
"stream_id": "<string>",
"session_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({stream_id: '<string>', session_id: '<string>'})
};

fetch('https://api-prod.nomadicml.com/api/live/end-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/x-www-form-urlencoded
stream_id
string
required
session_id
string
required

Response

Successful response.

status
enum<string>
required
Available options:
ended,
already_ended